/payment-ordersCreate Payment Vault Order
Outcome - Creates a new payment vault order for processing crypto payments. The order will be created with PENDING status and a payment link will be generated.
Body Parameters
amountInFiatnumberrequiredmax(1,000,000,000)Amount to be paid in fiat currency
idstringmax(42)Custom order ID (if not provided, a ULID will be generated)
clientNamestringmax(255)Name of the client making the payment
itemNamestringmax(255)Name of the item being purchased
assetIdnumberID of the asset to receive payment in. If provided, a wallet will be immediately assigned.
emailstringemail formatCustomer email address for payment notifications
Responses
Response attributes
messagestringSuccess message
dataobjectCreated payment vault order details
Show child attributes (18)
idstringOrder ID
vaultIdnumberVault ID associated with this order
walletIdnumberID of the assigned wallet (null if no asset selected)
clientNamestringName of the client
itemNamestringName of the item being purchased
statusstringOrder status (PENDING, COMPLETED, CANCELLED, PARTIALLY_PAID, EXPIRED)
amountInDollarstringAmount converted to USD
amountInFiatnumberOriginal amount in fiat currency
emailstringCustomer email
walletobjectAssigned wallet details (null if no asset selected)
Show child attributes (11)
idnumberWallet ID
balancestringCurrent wallet balance
pendingBalancestringPending balance
publicAddressstringBlockchain address for payment
transactionsCountstringNumber of transactions
targetIdstringTarget ID
protocolnumberProtocol number
assetobjectAsset details with network information
Show child attributes (15)
idnumberAsset ID
networkIdnumberNetwork ID
pricingIdstringPricing ID
namestringAsset name
symbolstringAsset symbol
contractAddressstring | nullContract address (null for native coins)
decimalsnumberAsset decimals
networkobjectNetwork details
Show child attributes (11)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
categorystringNetwork category (EVM, Solana, etc.)
typestringNetwork type (PUBLIC, PRIVATE)
statusstringNetwork status
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
chainobjectChain configuration details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (1)
httparrayHTTP RPC URLs
blockExplorersobjectBlock explorer details
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (2)
namestringExplorer name
urlstringExplorer URL
createdAtstringNetwork creation timestamp
updatedAtstringNetwork update timestamp
typestringAsset type (COIN, TOKEN)
statusstringAsset status
logostringAsset logo URL
vaultStatusstringAsset status in vault
isHiddenbooleanWhether asset is hidden
createdAtstringAsset creation timestamp
updatedAtstringAsset update timestamp
typestringWallet type (ORDER)
createdAtstringWallet creation timestamp
updatedAtstringWallet update timestamp
assetobjectSelected asset details
Show child attributes (15)
idnumberAsset ID
networkIdnumberNetwork ID
pricingIdstringPricing ID
namestringAsset name
symbolstringAsset symbol
contractAddressstring | nullContract address (null for native coins)
decimalsnumberAsset decimals
networkobjectNetwork details
Show child attributes (11)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
categorystringNetwork category (EVM, Solana, etc.)
typestringNetwork type (PUBLIC, PRIVATE)
statusstringNetwork status
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
chainobjectChain configuration details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (1)
httparrayHTTP RPC URLs
blockExplorersobjectBlock explorer details
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (2)
namestringExplorer name
urlstringExplorer URL
createdAtstringNetwork creation timestamp
updatedAtstringNetwork update timestamp
typestringAsset type (COIN, TOKEN)
statusstringAsset status
logostringAsset logo URL
vaultStatusstringAsset status in vault
isHiddenbooleanWhether asset is hidden
createdAtstringAsset creation timestamp
updatedAtstringAsset update timestamp
balancestringCurrent order balance
paymentLinkstringURL for the payment page
globalIdstringGlobal unique identifier (ULID)
amountInAssetstringAmount to be paid in the selected cryptocurrency
expirationstringOrder expiration timestamp
createdAtstringOrder creation timestamp
updatedAtstringOrder last updated timestamp
statusnumberHTTP status code
Was this page helpful?